stages:
  - build
build:
  stage: build
  script:
    #- module load R/3.4.3-foss-2015a-bare Julia
    - module load R/3.4.2-foss-2015a-bare
    #- julia -e 'using Pkg; Pkg.add(["RainFARM"])'
    - R CMD build --resave-data .
    - R CMD check --as-cran --no-manual --run-donttest CSTools_*.tar.gz
    - R -e 'covr::package_coverage()'
